nvme_set_root(2)

NAME
nvme_set_root - Set nvme_root_t context

SYNOPSIS
void nvme_set_root (nvme_root_t r );

ARGUMENTS

r   nvme_root_t context

DESCRIPTION
In order to be able to log from code paths where no root object is passed in via the arguments use the the default one which can be set via this call. When creating a new root object with nvme_create_root the global root object will be set as well. This means the global root object is always pointing to the latest created root object. Note the first nvme_free_tree call will reset the global root object.

This function is deprecated. Use nvme_init_default_logging or/and nvme_init_logging instead.